package com.persagy.apm.report.detail.paragraphvalue.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-07-14 16:59:59
 */
@Data
@ApiModel(value = "查询报告段落取值入参")
public class QueryReportParagraphValueDTO {
    @ApiModelProperty(value = "报告概要主键", required = true)
    private String reportOutlineId;

    @ApiModelProperty(value = "段落主键", required = true)
    private String paragraphId;

    @ApiModelProperty(value = "段落头部信息", required = true)
    private Object header;

    @ApiModelProperty(value = "段落内容信息", required = true)
    private Object content;

    @ApiModelProperty(value = "段落补充信息", required = true)
    private Object supplement;

}
