package com.persagy.apm.report.indicator.codes.energyUsage;

/**
 * 用量内容编码
 *
 * @author lixing
 * @version V1.0 2021/7/20 2:55 下午
 **/
public enum EnergyUsageContentCodes {
    // 本月用量
    currentMonth,
    // 上月用量
    lastMonth,
    // 环比增量
    chainGrowth,
    // 环比增幅
    chainRange,
    // 去年同期用量
    sameTime,
    // 同比增量
    sametimeGrowth,
    // 同比增幅
    sametimeRange,
    // 当年累计用量
    aggregate,
    // 去年同期累计用量
    aggregateLastYear,
    // 累计同比增量
    aggregateGrowth,
    // 累计同比增幅
    aggregateRange,
    // 单位面积用量
    perSqm,
    // 上月单位面积用量
    perSqmLastMonth,
    // 去年同期单位面积用量
    perSqmSameTime,
    // 单位面积环比增量
    perSqmChainGrowth,
    // 单位面积环比增幅
    perSqmChainRange,
    // 单位面积同比增量
    perSqmSameTimeGrowth,
    // 单位面积同比增幅
    perSqmSameTimeRange,

}
