package com.persagy.apm.report.userconfig.paragraph.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import com.persagy.apm.common.model.dto.PageDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author lixing
 * @version V1.0 2021-07-15 17:46:14
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "分页查询段落入参")
public class PageQueryParagraphDTO extends PageDTO {
    @ApiModelProperty(value = "主键", required = true)
    private String id;

    @ApiModelProperty(value = "段落名称", required = true)
    private String name;

    @ApiModelProperty(value = "段落定义主键", required = true)
    private String defineId;

    @ApiModelProperty(value = "段落定制主键", required = true)
    private String customId;

}
