package com.persagy.apm.report.userconfig.paragraph.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author lixing
 * @version V1.0 2021-07-15 17:46:14
 */
@Data
@ApiModel(value = "段落列表返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ParagraphListItemVO {
    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("段落名称")
    private String name;

    @ApiModelProperty("段落定义主键")
    private String defineId;

    @ApiModelProperty("段落定制主键")
    private String customId;

    @ApiModelProperty("创建人")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date creationTime;

    @ApiModelProperty("修改人")
    private String modifier;

    @ApiModelProperty("修改时间")
    private Date modifiedTime;

}
