package com.persagy.apm.report.userconfig.paragraphmodel.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author lixing
 * @version V1.0 2021-07-20 10:26:13
 */
@Data
@ApiModel(value = "查询段落模板入参")
public class QueryParagraphModelDTO {
    @ApiModelProperty(value = "编码", required = true)
    private String code;

    @ApiModelProperty(value = "名称", required = true)
    private String name;

    @ApiModelProperty(value = "段落头部可使用的属性", required = true)
    private Object headerAvailableAttrs;

    @ApiModelProperty(value = "段落列表可使用的属性", required = true)
    private Object listAvailableAttrs;

    @ApiModelProperty(value = "补充说明", required = true)
    private Object supplement;

}
