package com.persagy.apm.report.userconfig.pargraphdefine.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

import lombok.Data;

/**
 * @author lixing
 * @version V1.0 2021-07-20 10:23:08
 */
@Data
@ApiModel(value = "创建段落定义入参")
public class AddParagraphDefineDTO {
    @ApiModelProperty(value = "段落模板主键", required = true)
    @NotNull(message = "段落模板主键不能为空") // todo 更新校验规则
    private String modelId;

    @ApiModelProperty(value = "包含的分组", required = true)
    @NotNull(message = "包含的分组不能为空") // todo 更新校验规则
    private String groupIds;

    @ApiModelProperty(value = "包含的条目", required = true)
    @NotNull(message = "包含的条目不能为空") // todo 更新校验规则
    private String itemIds;

}
