package com.persagy.apm.report.userconfig.reporttype.util;

import com.persagy.apm.report.common.utils.ApmStrUtils;
import com.persagy.apm.report.userconfig.reporttype.model.ReportType;

import java.util.List;

/**
 * 报告类型工具类
 *
 * @author lixing
 * @version V1.0 2021/7/20 10:13 上午
 **/
public class ReportTypeUtil {
    /**
     * 获取报告类型关联的段落id列表
     *
     * @param reportType 报告类型对象
     * @return 报告类型关联的段落id列表
     * @author lixing
     * @version V1.0 2021/7/20 10:15 上午
     */
    public static List<String> getParagraphs(ReportType reportType) {
        String paragraphs = reportType.getParagraphs();
        return ApmStrUtils.str2List(paragraphs);
    }
}
