package com.persagy.apm.report.dependencies.energyefficiencyweb.enums;

import lombok.Getter;
import lombok.Setter;

/**
 * 能效情况时间类型枚举
 *
 * @author lixing
 * @version V1.0 2021/7/28 5:00 下午
 **/
public enum EnergyEfficiencyTimeTypeEnum {
    /**
     * 能效情况时间类型
     */
    HOUR(1, "小时"),
    DAY(2, "天"),
    MONTH(3, "月"),
    YEAR(4, "年");

    @Setter
    @Getter
    private Integer type;
    @Setter
    @Getter
    private String desc;

    EnergyEfficiencyTimeTypeEnum(Integer type, String desc) {
        this.type = type;
        this.desc = desc;
    }
}
