package com.persagy.apm.report.detail.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021/5/20 11:15 上午
 **/
@ApiModel
@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@NoArgsConstructor
@AllArgsConstructor
public class ItemVO {
    @ApiModelProperty("条目id")
    private String id;
    @ApiModelProperty("条目名称")
    private String name;
    @ApiModelProperty("属性值列表")
    private List<AttrValueVO> attrs;
}
