package com.persagy.apm.report.indicator.codes.budget;

/**
 * 能耗预算内容编码
 *
 * @author lixing
 * @version V1.0 2021/7/20 2:55 下午
 **/
public enum BudgetContentCodes {
    // 本月用量
    currentMonth,
    // 本月预算
    monthlyBudget,
    // 当年累计用量
    aggregate,
    // 当年预算
    annualBudget,
    // 月能耗预算比
    monthlyProportion,
    // 年能耗预算比
    annualProportion
}
