package com.persagy.apm.report.indicator.manualfilling.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021-07-27 09:52:21
 */
@Data
@ApiModel(value = "查询数据录入数据入参")
public class QueryManualFillingDataDTO {
    @ApiModelProperty(value = "分项id列表")
    private List<String> functionIds;

    @ApiModelProperty(value = "功能点id")
    private String functionId;

    @ApiModelProperty(value = "项目主键")
    private String projectId;

    @ApiModelProperty(value = "数据时间")
    private Date dataTime;

    @ApiModelProperty(value = "开始时间")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    private Date endTime;

    @ApiModelProperty(value = "数据类型")
    private String type;

    @ApiModelProperty(value = "信息点的值")
    private String value;

}
