package com.persagy.apm.report.userconfig.function.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import com.persagy.apm.common.model.dto.PageDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author lixing
 * @version V1.0 2021-07-23 17:55:19
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "分页查询功能点入参")
public class PageQueryFunctionDTO extends PageDTO {
    @ApiModelProperty(value = "主键", required = true)
    private String id;

    @ApiModelProperty(value = "功能点名称", required = true)
    private String name;

    @ApiModelProperty(value = "功能点定义", required = true)
    private Object define;

    @ApiModelProperty(value = "数据来源", required = true)
    private String dataSource;

    @ApiModelProperty("合格标准")
    private String qualifiedStandard;

    @ApiModelProperty(value = "备注", required = true)
    private String remark;

}
