package com.persagy.apm.report.userconfig.paragraph.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.persagy.apm.common.model.entity.AuditableEntity;

import java.io.Serializable;

/**
 * 段落(Paragraph)实体类
 *
 * @author lixing
 * @version V1.0 2021-07-15 17:46:13
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(description = "段落")
public class Paragraph extends AuditableEntity<Paragraph> implements Serializable {
    private static final long serialVersionUID = -26033266092090642L;

    @ApiModelProperty("段落名称")
    private String name;

    @ApiModelProperty("段落定义主键")
    private String defineId;

    @ApiModelProperty("段落定制主键")
    private String customId;


    public static String PROP_NAME = "name";
    public static String PROP_DEFINE_ID = "define_id";
    public static String PROP_CUSTOM_ID = "custom_id";

}
