package com.persagy.apm.report.userconfig.statisticsitems.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

import lombok.Data;

/**
 * @author lixing
 * @version V1.0 2021-07-27 16:11:58
 */
@Data
@ApiModel(value = "创建统计条目入参")
public class AddStatisticItemDTO {
    @ApiModelProperty(value = "编码", required = true)
    @NotNull(message = "编码不能为空") 
    private String code;

    @ApiModelProperty(value = "合格标准", required = true)
    @NotNull(message = "合格标准不能为空") 
    private String standardValue;

    @ApiModelProperty(value = "合格的判断公式", required = true)
    @NotNull(message = "合格的判断公式不能为空") 
    private String qualifyFormula;

    @ApiModelProperty(value = "合格的判断标准（展示用）", required = true)
    @NotNull(message = "合格的判断标准（展示用）不能为空") 
    private String standardFlag;

}
